<template lang="html">
    <tr>
        <td>{{dateFrom | dateFormat}}</td>
        <td>{{row_data.points | concatenationPoints}}</td>
        <td>{{row_data.name}}</td>
        <td>{{row_data.weight | massUnits}}</td>
    </tr>
</template>

<script>
import dateFormat from "../../filters/date-format"
import concatenationPoints from "../../filters/concatenation-points"
import massUnits from "../../filters/mass-units"

export default {
    name: 'v-table-row',
    props: {
        row_data: {
            type: Object,
            default () {
                return []
            }
        }
    },
    data() {
        return {
            dateFrom: '',
        }
    },
    filters: {
        dateFormat,
        concatenationPoints,
        massUnits
    },
    mounted() {
        if (this.row_data.points[0]) {
            this.dateFrom = this.row_data.points[0].date;
        }
    }
}
</script>
